/* ----------------------------------------------------------------
	Custom CSS

	Add all your Custom Styled CSS here for New Styles or
	Overwriting Default Theme Styles for Better Handling Updates
-----------------------------------------------------------------*/
.popup-open-container {
    position: fixed;
    z-index: 99999999;
    inset: auto 0px 50% auto;
    transform: rotate(270deg) translateX(50%);
    transform-origin: right bottom;
}

.popup-open {
    border-radius: 4px 4px 0px 0px;
    border-color: rgba(0, 0, 0, 0);
    line-height: 1.32;
    color: white;
    font-family: "Open Sans", sans-serif;
    font-weight: normal;
    font-size: 18px;
    background-color: rgb(0, 191, 187);
    border-width: 1px;
    box-shadow: rgba(0, 0, 0, 0.3) 0px 4px 12px 0px;
    cursor: pointer;
    padding: top;
    width: fit-content;
    height: fit-content;
}
.popup-open:hover {
    background-color: rgb(0, 170, 165);
    box-shadow: rgba(0, 0, 0, 0.4) 0px 6px 14px 0px;
}
.popup-open.hidden {
    display: none;
}
.popup-open-overlay {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    box-sizing: border-box;
    width: 100%;
    height: 100%;
    padding: 11px 26px;
    border-radius: 4px;
}
.popup-open-icon {
    margin-right: 8px;
    margin-left: -4px;
    width: 24px;
    height: 24px;
}
.floating-icon-container {
    width: 18px;
    height: 18px;
}
.popup-open-text {
    display: inline-block;
}
.popup-open-icon-container svg {
    width: 24px;
    height: 24px;
    fill: white;
}
.popup-overlay {
    display: none;
    position: fixed;
    inset: 0;
    background: rgba(0, 0, 0, 0.5);
    z-index: 9998;
}
.popup-container {
    display: none;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 840px;
    max-width: 100%;
    background: #e7e7e7;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.3);
    overflow: hidden;
    z-index: 9999;
}
.popup-container.active,
.popup-overlay.active {
    display: flex;
    opacity: 1;
}
.popup-content {
    display: flex;
    flex-direction: row;
    align-items: center;
    height: auto;
}

.popup-image {
    width: 50%;
    height: 100%;
    overflow: hidden;
}

.popup-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.popup-text {
    width: 50%;
    padding: 40px;
}

.popup-text h2 {
    text-align: center;
    font-weight: normal;
    font-style: normal;
    font-size: 32px;
    margin-bottom: 20px;
    margin-top: 20px;
    line-height: 1.32;
    color: rgb(41, 41, 41);
    font-family: "Open Sans";
}
.popup-text p {
    text-align: center;
    font-size: 20px;
    margin-bottom: 24px;
    line-height: 1.32;
    color: rgb(41, 41, 41);
    font-family: "Open Sans";
}

.popup-submit {
    width: 100%;
    background: rgb(6, 139, 136);
    color: white;
    padding: 17px 26px;
    border: none;
    border-radius: 0px;
    cursor: pointer;
    font-size: 16px;
    font-family: "Open Sans";
    transition: 0.3s;
    margin-top: 10px;
}

.popup-submit:hover {
    background: rgb(0, 170, 165);
}

.popup-close {
    position: absolute;
    top: 15px;
    right: 15px;
    background: #e7e7e7;
    color: rgba(17, 17, 17, 0.7);
    border: none;
    cursor: pointer;
    width: 32px;
    height: 32px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.popup-close svg {
    transition: fill 0.2s;
    display: block;
    object-fit: contain;
    width: 16px;
    height: 16px;
    fill: currentColor;
}

.popup-close:hover {
    color: rgba(17, 17, 17, 0.5);
}
.popup-form {
    display: flex;
    flex-direction: column;
    margin-bottom: 0px;
}
.popup-form input {
    padding: 10px 15px;
    border: 1px solid rgba(17, 17, 17, 0.2);
    border-radius: 4px;
    font-size: 15px;
    width: 100%;
    line-height: 20px;
    height: auto;
    background: rgba(17, 17, 17, 0.05);
    color: #111;
    margin-bottom: 15px;
    transition: border-color 0.3s, box-shadow 0.3s;
}

.popup-form input:focus {
    border-color: rgba(6, 139, 136) !important;
    box-shadow: 0 0 0 2px rgba(231, 76, 60, 0.15);
    outline: none;
}
.popup-form input.input-error {
    border-color: #e74c3c !important;
    box-shadow: 0 0 0 2px rgba(231, 76, 60, 0.15);
}

.popup-form select {
    padding: 10px 15px;
    border: 1px solid rgba(17, 17, 17, 0.2);
    border-radius: 4px;
    font-size: 15px;
    width: 100%;
    line-height: 20px;
    height: auto;
    background: rgba(17, 17, 17, 0.05);
    color: #111;
    margin-bottom: 15px;
    transition: border-color 0.3s, box-shadow 0.3s;
    appearance: auto;
}

.popup-form select:focus {
    border-color: rgba(6, 139, 136) !important;
    box-shadow: 0 0 0 2px rgba(231, 76, 60, 0.15);
    outline: none;
}

.popup-form select.input-error {
    border-color: #e74c3c !important;
    box-shadow: 0 0 0 2px rgba(231, 76, 60, 0.15);
}

@media (max-width: 600px) {
    .popup-container {
        max-height: 100vh;
        overflow-y: auto;
        flex-direction: column;
    }

    .popup-content {
        flex-direction: column-reverse;
    }

    .popup-text {
        width: 100%;
        text-align: center;
        padding-bottom: 10px;
    }

    .popup-image {
        padding-inline: 40px;
        padding-bottom: 40px;
        width: 100%;
        overflow: hidden;
    }

    .popup-image img {
        width: 100%;
        height: auto;
        object-fit: cover;
    }
}

.switch-container {
    text-align: center;
    margin-top: 10px;
}

.switch-container p {
    margin: 0;
}

.switch-container a {
    display: block;
    font-weight: bold;
    text-decoration: none;
    font-size: 20px;
    line-height: 1.32;
    font-family: "Open Sans";
}

.switch-container a:hover {
    text-decoration: underline;
}

#accessCodeForm {
    display: none;
}

.error-message {
    color: red;
    font-size: 14px;
    display: block;
    margin-top: -15px;
    margin-bottom: 15px;

    text-align: left;
}

.loading-icon svg {
    display: inline;
    width: 16px;
    height: 16px;
    margin-right: 12px;
    color: #e5e7eb;
    animation: spin 1s linear infinite;
}

/* Wrapper cho tất cả checkbox chi nhánh */
.branch-checkbox-wrapper {
    display: flex;
    flex-direction: column;
    /* gap: 1rem; */
    color: black;
}

.branch-options {
    display: flex;
    flex-direction: column; /* Chuyển sang chiều dọc để mỗi checkbox nằm trên 1 hàng */
    /* gap: 12px; */
    /* margin-bottom: 16px; */
}

.custom-checkbox {
    display: flex;
    align-items: center;
    cursor: pointer;
    user-select: none;
    position: relative;
    padding-left: 28px;
    font-size: 14px;
    width: 100%;
}

.custom-checkbox input[type="checkbox"] {
    position: absolute;
    opacity: 0;
    cursor: pointer;
}

.checkbox-box {
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    height: 18px;
    width: 18px;
    background-color: #ccc;
    border: 1px solid rgba(17, 17, 17, 0.2);
    border-radius: 4px;
    box-sizing: border-box;
    transition: background-color 0.2s, border-color 0.2s;
}

.custom-checkbox input[type="checkbox"]:checked ~ .checkbox-box {
    background-color: rgb(6, 139, 136);
}

.checkbox-box::after {
    content: "";
    position: absolute;
    display: none;
    left: 5px;
    top: 2px;
    width: 5px;
    height: 10px;
    border: solid #e0e0e0;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg);
}

.checkbox-box:hover {
    background-color: rgba(17, 17, 17, 0.2);
}
.custom-checkbox input[type="checkbox"]:checked ~ .checkbox-box::after {
    display: block;
}
